/**
 * LeadFWD Sales Sequence header pane.
 *
 * @class View.Views.Base.SalesSequenceHeaderpaneView
 * @alias SUGAR.App.view.views.BaseSalesSequenceHeaderpaneView
 * @extends View.Views.Base.HeaderpaneView
 */
({
  extendsFrom: 'HeaderpaneView',
  events: {
      'click a[name=cancel_button]': 'cancel',
      'click a[name=save_button]': 'save'
  },
  cancel: function() {
      app.drawer.close();
  },
  save: function() {
      this.layout.trigger('salesSequence:save:fire');
  }
})