<?php
// prevents PHP Notice messages "Undefined index: Iframeapp" when
// enableLeadFwdMenuActions is FALSE
$viewdefs['Iframeapp']['base']['menu']['header'] = array();

require_once('modules/Iframeapp/Iframeapp.php');
if(Iframeapp::enableLeadFwdMenuActions()) {

  $viewdefs['Iframeapp']['base']['menu']['header'] = array(
    // unique to Iframeapp
    array(
      'label' => 'LBL_SYMSYNC_DASHBOARD',
      'acl_action' => 'list',
      'acl_module' => 'Iframeapp',
      'icon' => 'fa-cog',
      'route' => '#bwc/index.php?module=Iframeapp&i25pg=sugarcrm_dashboard.php',
    ),

    // copied from Campaign Wizard, dropping LeadFwd prefix
    array(
      'label' => 'Email Blast',
      'icon' => 'fa-cog',
      'route' => '#bwc/index.php?module=Iframeapp&i25pg=wizardtype_inbox25_email_blast',
    ),
    array(
      'label' => 'Drip Campaign',
      'icon' => 'fa-cog',
      'route' => '#bwc/index.php?module=Iframeapp&i25pg=wizardtype_inbox25_drip_campaign',
    ),
    array(
      'label' => 'Social Campaign',
      'icon' => 'fa-cog',
      'route' => '#bwc/index.php?module=Iframeapp&i25pg=wizardtype_inbox25_social_campaign',
    ),
    array(
      'label' => 'Automated Journey',
      'icon' => 'fa-cog',
      'route' => '#bwc/index.php?module=Iframeapp&i25pg=wizardtype_inbox25_automated_journey',
    )
  );

  // copied from custom/Extension/modules/Campaigns/Ext/clients/base/menus/header/inbox25links.php
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=form-builder-landing-ui.php',
    'label' => 'INBOX25_CAMPAIGN_LANDING_PAGE_BUILDER',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-cog',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=scheduled.php',
    'label' => 'INBOX25_CAMPAIGN_LINK_SCHEDULED_EMAILS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-clock-o',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=drafts.php',
    'label' => 'INBOX25_CAMPAIGN_LINK_EMAIL_DRAFTS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-list',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=campaignreports.php',
    'label' => 'INBOX25_CAMPAIGN_LINK_EMAIL_ANALYTICS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=drip_campaigns.php',
    'label' => 'INBOX25_CAMPAIGN_LINK_DRIP_CAMPAIGNS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-cog',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=social_connect.php',
    'label' => 'INBOX25_CAMPAIGN_LINK_SOCIAL_CAMPAIGNS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-cog',
  );

  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_tags.php',
    'label' => 'INBOX25_REPORTS_TAGS',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_efficiency.php',
    'label' => 'INBOX25_REPORTS_MARKETING_EFFICIENCY',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_lead_generation.php',
    'label' => 'INBOX25_REPORTS_LEAD_GENERATION',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_lead_sources.php',
    'label' => 'INBOX25_REPORTS_LEAD_SOURCES',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_traffic_sources.php',
    'label' => 'INBOX25_REPORTS_TRAFFIC_SOURCES',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_activity.php',
    'label' => 'INBOX25_REPORTS_LEAD_AGING',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );
  $viewdefs['Iframeapp']['base']['menu']['header'][] = array(
    'route' => '#bwc/index.php?module=Iframeapp&i25pg=report_ma_outbound_emails.php',
    'label' => 'INBOX25_REPORTS_EMAIL_PERFORMANCE',
    'acl_module' => 'Iframeapp',
    'icon' => 'fa-bar-chart',
  );

}
