{include file='modules/Campaigns/tpls/WizardHomeStart.tpl'}
{literal}

<script type='text/javascript'>

  // in modules/Campaigns/tpls/WizardHomeStart.tpl the radios are contained in
  // a p element that can be found as the parent of the first
  // ID-attribute-having radio input element. We'll be appending our custom
  // options to the same group.
  var parentP = $('#wizardtype_nl').parent();

  // define the new buttons that we want to add
  var id_and_label = {

    {/literal}
    {if $MOD.injectLeadFwdParam.enableBasicCampaignTypes eq '1'}
    {literal}
    'wizardtype_inbox25_email_blast' : 'One-time Email Campaign',
    'wizardtype_inbox25_drip_campaign' : 'Email Drip Sequence',
    {/literal}
    {/if}

    {if $MOD.injectLeadFwdParam.enableAdvancedCampaignTypes eq '1'}
    {literal}
    'wizardtype_inbox25_social_campaign' : 'Social Campaign',
    'wizardtype_inbox25_automated_journey' : 'Automated Customer Journey',
    {/literal}
    {/if}
    {literal}

  };

  // cycle through our 4x new options and add as radio elements in the form
  for (var id in id_and_label) {
    $('<input>')
      .attr('type', 'radio')
      .attr('id', id)
      .attr('name', 'wizardtype')
      .attr('value', id)
      .appendTo(parentP);
    $('<label>')
      .attr('for', id)
      .append(id_and_label[id])
      .appendTo(parentP);
    $('<br>')
      .appendTo(parentP);
  }

  // not really part of the INBOX25 customization, but this Campaign Wizard
  // is hard to look at without a little bit of enhancement
  $('<style>')
    .attr('type', 'text/css')
    .text('div#wizard label { padding-left: 5px; }')
    .appendTo('head');

  // Suite has updated the Campaign Wizard template; much prettier! but we need
  // to add our options to another place as well
  var parentUl = $('ul.icon-btn-lst');
  if(parentUl.length > 0) {

    $('<hr>')
      .appendTo(parentUl);

    for (var id in id_and_label) {
      var li = $('<li>')
        .attr('class', 'icon-btn')
        .appendTo(parentUl);
      var a = $('<a>')
        .attr('href', 'javascript:')
        .attr('onclick', "$('#" + id + "').click(); $(this).closest('form').submit();")
        .attr('title', id_and_label[id])
        .appendTo(li);
      $('<br>')
        .appendTo(a);
      $('<span>')
        .append(id_and_label[id])
        .appendTo(a);
    }
  }

</script>
{/literal}
