<?php
if (!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

$module = $_REQUEST['module'];
$recordId = $_REQUEST['id'];

$focus = BeanFactory::getBean($module, $recordId);

// Requests for Opportunity record Contacts are redirected to the Account
if($module == 'Opportunities') {
  $module = 'Accounts';
  $recordId = $focus->account_id;
  $focus = BeanFactory::getBean($module, $recordId);
}

$recordIdList = array();

// Requests for Account (or Opportunity) will gather recordIdList of related
// Contacts
if ($module == 'Accounts') {
  $focus->load_relationship('contacts');
  foreach($focus->contacts->getBeans() as $contact) {
      $recordIdList[] = $contact->id;
  }
} else {
  $recordIdList[] = $recordId;
}

$success = !empty($recordIdList);
$message = empty($recordIdList) ? 'there are no valid records' : '';

echo json_encode(array(
  'message' => $message,
  'recordIdList' => $recordIdList,
  'success' => $success,
));
