<?php

$manifest = array(
  'acceptable_sugar_flavors' => array(),
  'acceptable_sugar_versions' => array(
    'regex_matches' => array (
      '6\.5\.*',
      '7\.*\.*',
      '8\.0\.*',
      '8\.*\.*',
      '9\.*\.*',
      '10\.*\.*',
      '11\.*\.*',
    ),
  ),
  'is_uninstallable' => true,
  'name' => 'LeadFWD',
  'description' => 'LeadFWD Business Growth Platform',
  'author' => 'LeadFWD',
  'published_date' => '2021-04-23',
  'version' => '5.8.1',
  'type' => 'module',
  'icon' => ''
);

$installdefs = array(
  'administration' => array(
    array(
      'from' => '<basepath>/administration/Inbox25.php',
    ),
  ),
  'beans'=> array(
    array(
      'module' => 'Iframeapp',
      'class' => 'Iframeapp',
      'path' => 'modules/Iframeapp/Iframeapp.php',
      'tab' => true,
    ),
    array(
      'module' => 'lead_Prospects',
      'class' => 'lead_Prospects',
      'path' => 'modules/lead_Prospects/lead_Prospects.php',
      'tab' => true,
    ),
    array(
      'module' => 'lead_Engage',
      'class' => 'lead_Engage',
      'path' => 'modules/lead_Engage/lead_Engage.php',
      'tab' => true,
    ),
  ),
  'copy'=> array(
    array(
      'from' => '<basepath>/copy/custom/clients/base/api/Inbox25UserApi.php',
      'to' => 'custom/clients/base/api/Inbox25UserApi.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/layouts/inboxview/inboxview.php',
      'to' => 'custom/clients/base/layouts/inboxview/inboxview.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/layouts/salesSequence/salesSequence.php',
      'to' => 'custom/clients/base/layouts/salesSequence/salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/inbox25/inbox25.hbs',
      'to' => 'custom/clients/base/views/inbox25/inbox25.hbs',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/inbox25/inbox25.js',
      'to' => 'custom/clients/base/views/inbox25/inbox25.js',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/inbox25/inbox25.php',
      'to' => 'custom/clients/base/views/inbox25/inbox25.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/salesSequence-headerpane/salesSequence-headerpane.js',
      'to' => 'custom/clients/base/views/salesSequence-headerpane/salesSequence-headerpane.js',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/salesSequence-headerpane/salesSequence-headerpane.php',
      'to' => 'custom/clients/base/views/salesSequence-headerpane/salesSequence-headerpane.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/salesSequence/salesSequence.hbs',
      'to' => 'custom/clients/base/views/salesSequence/salesSequence.hbs',
    ),
    array(
      'from' => '<basepath>/copy/custom/clients/base/views/salesSequence/salesSequence.js',
      'to' => 'custom/clients/base/views/salesSequence/salesSequence.js',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/application/Ext/EntryPointRegistry/inbox25_url.php',
      'to' => 'custom/Extension/application/Ext/EntryPointRegistry/inbox25_url.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/application/Ext/EntryPointRegistry/leadfwd_salessequence_helper.php',
      'to' => 'custom/Extension/application/Ext/EntryPointRegistry/leadfwd_salessequence_helper.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/application/Ext/Include/inbox25.bwcModules.php',
      'to' => 'custom/Extension/application/Ext/Include/inbox25.bwcModules.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/application/Ext/JSGroupings/add-leadfwd-salesSequence.php',
      'to' => 'custom/Extension/application/Ext/JSGroupings/add-leadfwd-salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Administration/Ext/Language/en_us.Inbox25.php',
      'to' => 'custom/Extension/modules/Administration/Ext/Language/en_us.Inbox25.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Campaigns/Ext/clients/base/menus/header/inbox25links.php',
      'to' => 'custom/Extension/modules/Campaigns/Ext/clients/base/menus/header/inbox25links.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Campaigns/Ext/Menus/inbox25.php',
      'to' => 'custom/Extension/modules/Campaigns/Ext/Menus/inbox25.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Contacts/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
      'to' => 'custom/Extension/modules/Contacts/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Accounts/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
      'to' => 'custom/Extension/modules/Accounts/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Contacts/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
      'to' => 'custom/Extension/modules/Contacts/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Leads/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
      'to' => 'custom/Extension/modules/Leads/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Leads/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
      'to' => 'custom/Extension/modules/Leads/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Opportunities/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
      'to' => 'custom/Extension/modules/Opportunities/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Prospects/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
      'to' => 'custom/Extension/modules/Prospects/Ext/clients/base/views/record/leadfwd.salesSequenceButton.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/Prospects/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
      'to' => 'custom/Extension/modules/Prospects/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/Extension/modules/ProspectLists/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
      'to' => 'custom/Extension/modules/ProspectLists/Ext/clients/base/views/recordlist/leadfwd.salesSequence.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Accounts/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Accounts/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Administration/Inbox25.php',
      'to' => 'custom/modules/Administration/Inbox25.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Campaigns/WizardHome.php',
      'to' => 'custom/modules/Campaigns/WizardHome.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Campaigns/tpls/WizardHomeStart.tpl',
      'to' => 'custom/modules/Campaigns/tpls/WizardHomeStart.tpl',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Campaigns/WizardNewsletter.php',
      'to' => 'custom/modules/Campaigns/WizardNewsletter.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Contacts/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Contacts/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Import/controller.php',
      'to' => 'custom/modules/Import/controller.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Leads/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Leads/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Opportunities/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Opportunities/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/modules/Prospects/clients/base/layouts/record/record.php',
      'to' => 'custom/modules/Prospects/clients/base/layouts/record/record.php',
    ),
    array(
      'from' => '<basepath>/copy/custom/themes/SuiteP/css/style.css',
      'to' => 'custom/themes/SuiteP/css/style.css',
    ),
    array(
      'from' => '<basepath>/copy/custom/themes/custom.less',
      'to' => 'custom/themes/custom.less',
    ),
    array(
      'from' => '<basepath>/copy/custom/open-leadfwd-salesSequence-listener.js',
      'to' => 'custom/open-leadfwd-salesSequence-listener.js',
    ),
    array(
      'from' => '<basepath>/copy/modules/Iframeapp',
      'to' => 'modules/Iframeapp',
    ),
    array(
      'from' => '<basepath>/copy/modules/lead_Prospects',
      'to' => 'modules/lead_Prospects',
    ),
    array(
      'from' => '<basepath>/copy/modules/lead_Engage',
      'to' => 'modules/lead_Engage',
    ),
  ),
  'csp' => array(
    'default-src' => '*.inboxgateway.com *.leadfwd.com',
  ),
  'custom_fields' => array (
    array(
      'name' => 'inbox25_score_c',
      'label' => 'LeadFWD Lead Score',
      'type' => 'int',
      'module' => 'Leads',
      'help' => 'LeadFWD Score Field',
      'comment' => 'LeadFWD Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'LeadFWD Lead Score',
      'type' => 'int',
      'module' => 'Accounts',
      'help' => 'LeadFWD Score Field',
      'comment' => 'LeadFWD Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'LeadFWD Lead Score',
      'type' => 'int',
      'module' => 'Contacts',
      'help' => 'LeadFWD Score Field',
      'comment' => 'LeadFWD Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
    array(
      'name' => 'inbox25_score_c',
      'label' => 'LeadFWD Lead Score',
      'type' => 'int',
      'module' => 'Prospects',
      'help' => 'LeadFWD Score Field',
      'comment' => 'LeadFWD Score Field',
      'default_value' => '0',
      'required' => false,
      'reportable' => true,
      'audited' => false,
      'importable' => 'true',
      'duplicate_merge' => false,
    ),
  ),
  'id'=> 'Inbox25', // Persist original module name for sake of upgrades
  'image_dir' => '<basepath>/image_dir',
  'language'=> array(
    array(
      'from' => '<basepath>/language/application/en_us.Inbox25.php',
      'to_module' => 'application',
      'language' =>'en_us'
    ),
    array(
      'from' => '<basepath>/language/modules/Campaigns/en_us.Inbox25.php',
      'to_module' => 'Campaigns',
      'language' =>'en_us'
    ),
  ),
  'logic_hooks' => array(
    array(
      'module' => 'Contacts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contacts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Leads',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Leads',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Accounts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Accounts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Opportunities',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Opportunities',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Tasks',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Tasks',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Meetings',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Meetings',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Calls',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Calls',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Cases',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Cases',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contracts',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Contracts',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Quotes',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Quotes',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Users',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Prospects',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'Prospects',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_save',
      'order' => 101,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_delete',
      'order' => 102,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_relationship_add',
      'order' => 106,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
    array(
      'module' => 'ProspectLists',
      'hook' => 'after_relationship_delete',
      'order' => 107,
      'file' => 'modules/Iframeapp/DispatchData.php',
      'class' => 'DispatchData',
      'function' => 'ProcessMod',
    ),
  ),
  'platforms' => array(
    array(
      'from' => '<basepath>/platforms/inbox25.php',
    ),
    array(
      'from' => '<basepath>/platforms/leadfwd.php',
    ),
  ),
  'post_uninstall' => array(
    '<basepath>/scripts/post_uninstall.php'
  ),
);

// Determines if we should be adding legacy UI logic hooks
$isSixbranch = ($GLOBALS['sugar_version'][0] == 6);
$isSuitecrm = !empty($GLOBALS['suitecrm_version']) || !empty($GLOBALS['sugar_config']['suitecrm_version']);
$isSmartySystem = $isSixbranch || $isSuitecrm;


if($isSmartySystem) {
  $listViewModuleList = array(
    'Contacts',
    'Leads',
    'Prospects',
    'ProspectLists',
  );
  foreach($listViewModuleList as $supportedModule) {
    $installdefs['logic_hooks'][] = array(
      'module' => $supportedModule,
      'hook' => 'after_ui_frame',
      'order' => 100,
      'file' => 'modules/Iframeapp/Iframeapp.php',
      'class' => 'Iframeapp',
      'function' => 'smartyAddActionButton',
    );
  }

  $recordViewModuleList = array(
    'Accounts',
    'Opportunities',
  );
  foreach($recordViewModuleList as $supportedModule) {
    $installdefs['logic_hooks'][] = array(
      'module' => $supportedModule,
      'hook' => 'after_ui_frame',
      'order' => 100,
      'file' => 'modules/Iframeapp/Iframeapp.php',
      'class' => 'Iframeapp',
      'function' => 'smartyAddActionButtonRecordView',
    );
  }

}
